# Daten-Arten
Der grundsätzliche Unterschied zwischen Objekt- und Daten-Notationen (wie bspw. `JSON`, `XML`, `CSV` und `XLSX`) und herkömmlichen Datenbanken ist, dass genannte Notationen `Semi-Strukturiert` und die Daten in der Datenbank sind `Vollständig Strukturiert`.

In den genannten Notationen können falsche Daten angegeben werden können (obwohl sie falsch sind, können sie gespeichert werden, da genannte Dateien üblicherweise als freitext bearbeitbar sind). In strukturierten Datenbanken können nur - gemäss Vorgaben - vollständige Daten abgespeichert werden.

## Datenverwaltung mittels Dateisystem
Zwar nutzen auch Datenbanken

```mermaid
graph TD;
    app1[Anwendungs-Programm 1];
    appN[Anwendungs-Programm n];
    dbms["Datenbank Management System (DMBS)"];
    base[Datenbank Datenbasis];
    app1 --> dbms;
    dbms --> app1;
    appN --> dbms;
    dbms --> appN;
    dbms --> base;
```
