## 5.2 Primzahlen
Primzahlen $p$ sind natürliche Zahlen ($\mathbb{N}$), die nur durch 1 und sich selbst teilbar sind.

D.h. Die Anzahl an Teilern, die eine Primzahl hat, **muss** $2$ entsprechen.

Dementsprechend ist $1$ keine Primzahl, da $1$ nur durch eine Zahl teilbar ist.

Primzahlen mit dem Sieb des Eratosthenes

### Beweisführung für unendliche Primzahlen
Es gibt unendlich grosse Primzahlen

Beweis: Widerspruch
Behauptung: Es gibt nur endlich viele Primzahlen $\mathbb{P} = \{p_1, ..., p_n} | p_i \in \mathbb{N}$

Aus satz 25:

### Primfaktoren Zerlegung
Jede natürliche Zahl > 1 ist ein Produkt von endlich vielen Primzahlen.

Mit Hilfe der Primfaktorzerlegung lassen sich 
