# Zusammenfassung Physik
## Knotenregel
Summe aller Ströme ist 0

## Maschen-Regel
Summe aller Spannungen ist 0

## Ohmsches Gesetz
$$U = R \cdot I$$

## Schaltungsregeln
### Serien-Schaltungen
$$R_\text{total} = R_1 + R_2 + R_2 + R_3$$

### Parallel-Schaltung
$$R_\text{total} = \frac{1}{\frac{1}{R_1} + \frac{1}{R_2} + \frac{1}{R_3}} = \left(\frac{1}{R_1} + \frac{1}{R_2} + \frac{1}{R_3}\right)^{-1}$$

## Misc
Unterschied Schwarzer Strahler und Schwarzer Körper:
  - Schwarzer Strahler ist dasselbe wie ein Schwarzer Körper  
    Schwarze Körper absorbieren & emittieren alles - reflektieren aber nichts

Schwarze Strahler haben einen Emissionskoeffizient = 1, Graue Strahler haben einen Emissionskoeffizient < 1
