# Stochastik und Statistik

## Glossar
  - _Deskriptive Statistik:_ (auch "beschreibende Statistik"): Übersichtliche Darstellung von Daten für Ermittlung von Kenngrössen und Daten-Validierung
  - _Explorative Statistik:_ Weiterführung der Deskriptiven Statistik zur Suche nach Strukturen und Besonderheiten in Daten
  - _Induktive Statistik:_ (auch schliessende, inferentielle oder beurteilende Statistik): Das Treffen von Annahmen oder Schlussfolgerung über die Daten hinaus mit Hilfe von Wahrscheinlichkeitsrechnungen
  - _Merkmalsträger:_ (auch "Statistische Einheiten"): Objekte an denen Eigenschaften und Grössen beobachtet und erfasst werden. (bspw. Wohnungen, Menschen, Unternehmen, Wähler)
  - _Grundgesamtheit:_ Alle _Merkmalsträger_, über die man Aussagen gewinnen möchte (bspw. alle Mietwohnungen in Zürich, alle Wahlberechtigten in der Schweiz, alle im Vorjahr gegründeten Unternehmen etc.). Eine Grundgesamtheit kann aus endlich vielen oder aus unendlich vielen Elementen bestehen. Sie kann real oder hypothetisch (z.B. "alle potentiellen Kunden") sein.
  - _Vollerhebung:_ Bei einer Vollerhebung werden Eigenschaften sämtlicher _Merkmalsträger_ der _Grundgesamtheit_ gemessen. Sobald die _Grundgesamtheit_ über eine überschaubare Grösse hinauswächst, ist eine _Vollerhebung_ meist weder notwendig noch mit sinnvollem Aufwand durchführbar.
  - _Stichprobe:_ Die tatsächlich untersuchte Teilmenge der _Grundgesamtheit_. Muss repräsentativ sein, um _Grundgesamtheit_ richtig abzubilden. Meist handelt es sich um Zufallsstichproben.
  - _Stichprobengrösse:_ Anzahl _Merkmalsträger_ in der _Stichprobe_.
  - _Merkmal:_ (auch "Variable"): Grössen und Eigenschaften, die von einem _Merkmalsträger_ abgelesen werden können. Normalerweise werden an _Merkmalsträgern_ mehrere Eigenschaften abgelesen.
  - _Ausprägungen:_ (auch "Merkmalsausprägungen") Die verschiedenen Werte, die ein Merkmal annehmen kann. (Bspw. das Merkmal "Brillenträger" mit den Ausprägungen "Ja" und "Nein").